Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 422)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 423)
@@ -57,6 +57,8 @@
             this.button1 = new System.Windows.Forms.Button();
             this.SeparateBillingLabel = new System.Windows.Forms.Label();
             this.CombinedOrderLabel = new System.Windows.Forms.Label();
+            this.lblCellTotal = new System.Windows.Forms.Label();
+            this.btnDelRequest = new System.Windows.Forms.Button();
             this.groupBoxEx1 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.pnlApproval = new System.Windows.Forms.Panel();
             this.lblApprovalCount = new System.Windows.Forms.Label();
@@ -98,7 +100,7 @@
             this.col23 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col098 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col99 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.lblCellTotal = new System.Windows.Forms.Label();
+            this.btnCancelDsp = new System.Windows.Forms.Button();
             this.groupBoxEx1.SuspendLayout();
             this.pnlApproval.SuspendLayout();
             this.pnlApprovalButton.SuspendLayout();
@@ -151,9 +153,9 @@
             this.btnAdd.BackColor = System.Drawing.Color.Orange;
             this.btnAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnAdd.ForeColor = System.Drawing.Color.Black;
-            this.btnAdd.Location = new System.Drawing.Point(173, 590);
+            this.btnAdd.Location = new System.Drawing.Point(556, 590);
             this.btnAdd.Name = "btnAdd";
-            this.btnAdd.Size = new System.Drawing.Size(160, 30);
+            this.btnAdd.Size = new System.Drawing.Size(120, 28);
             this.btnAdd.TabIndex = 12;
             this.btnAdd.Text = "回数追加";
             this.btnAdd.UseVisualStyleBackColor = false;
@@ -176,7 +178,7 @@
             // button1
             // 
             this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.button1.Location = new System.Drawing.Point(1271, 9);
+            this.button1.Location = new System.Drawing.Point(1065, 11);
             this.button1.Name = "button1";
             this.button1.Size = new System.Drawing.Size(45, 23);
             this.button1.TabIndex = 15;
@@ -211,6 +213,33 @@
             this.CombinedOrderLabel.Text = "完了後　一括";
             this.CombinedOrderLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // lblCellTotal
+            // 
+            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.lblCellTotal.AutoSize = true;
+            this.lblCellTotal.BackColor = System.Drawing.Color.Transparent;
+            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 9.75F, System.Drawing.FontStyle.Bold);
+            this.lblCellTotal.ForeColor = System.Drawing.Color.WhiteSmoke;
+            this.lblCellTotal.Location = new System.Drawing.Point(357, 599);
+            this.lblCellTotal.Name = "lblCellTotal";
+            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
+            this.lblCellTotal.TabIndex = 30;
+            // 
+            // btnDelRequest
+            // 
+            this.btnDelRequest.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnDelRequest.BackColor = System.Drawing.Color.Red;
+            this.btnDelRequest.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnDelRequest.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDelRequest.ForeColor = System.Drawing.Color.White;
+            this.btnDelRequest.Location = new System.Drawing.Point(684, 589);
+            this.btnDelRequest.Name = "btnDelRequest";
+            this.btnDelRequest.Size = new System.Drawing.Size(120, 30);
+            this.btnDelRequest.TabIndex = 41;
+            this.btnDelRequest.Text = "請求取消";
+            this.btnDelRequest.UseVisualStyleBackColor = false;
+            this.btnDelRequest.Click += new System.EventHandler(this.btnDelRequest_Click);
+            // 
             // groupBoxEx1
             // 
             this.groupBoxEx1.Anchor = System.Windows.Forms.AnchorStyles.Top;
@@ -237,7 +266,7 @@
             this.pnlApproval.Controls.Add(this.lblApprovalCount);
             this.pnlApproval.Controls.Add(this.btnApproval);
             this.pnlApproval.Controls.Add(this.btnPetition);
-            this.pnlApproval.Location = new System.Drawing.Point(1053, 5);
+            this.pnlApproval.Location = new System.Drawing.Point(1060, 5);
             this.pnlApproval.Name = "pnlApproval";
             this.pnlApproval.Size = new System.Drawing.Size(262, 34);
             this.pnlApproval.TabIndex = 8;
@@ -287,7 +316,7 @@
             this.pnlApprovalButton.Controls.Add(this.btnNotApproval);
             this.pnlApprovalButton.Controls.Add(this.btnOnHold);
             this.pnlApprovalButton.Controls.Add(this.btnOnApproval);
-            this.pnlApprovalButton.Location = new System.Drawing.Point(1053, 5);
+            this.pnlApprovalButton.Location = new System.Drawing.Point(1060, 5);
             this.pnlApprovalButton.Name = "pnlApprovalButton";
             this.pnlApprovalButton.Size = new System.Drawing.Size(262, 34);
             this.pnlApprovalButton.TabIndex = 9;
@@ -335,11 +364,11 @@
             this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label2.CausesValidation = false;
             this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label2.Location = new System.Drawing.Point(5, 10);
+            this.label2.Location = new System.Drawing.Point(4, 10);
             this.label2.Name = "label2";
-            this.label2.Size = new System.Drawing.Size(100, 25);
+            this.label2.Size = new System.Drawing.Size(120, 25);
             this.label2.TabIndex = 2;
-            this.label2.Text = "請求先";
+            this.label2.Text = "請 求 先";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // label4
@@ -348,11 +377,11 @@
             this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label4.CausesValidation = false;
             this.label4.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label4.Location = new System.Drawing.Point(599, 10);
+            this.label4.Location = new System.Drawing.Point(578, 10);
             this.label4.Name = "label4";
-            this.label4.Size = new System.Drawing.Size(100, 25);
+            this.label4.Size = new System.Drawing.Size(120, 25);
             this.label4.TabIndex = 4;
-            this.label4.Text = "請求月";
+            this.label4.Text = "請 求 月";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // cbReqMonth
@@ -361,7 +390,7 @@
             this.cbReqMonth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cbReqMonth.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cbReqMonth.FormattingEnabled = true;
-            this.cbReqMonth.Location = new System.Drawing.Point(707, 10);
+            this.cbReqMonth.Location = new System.Drawing.Point(706, 10);
             this.cbReqMonth.MaxDropDownItems = 12;
             this.cbReqMonth.Name = "cbReqMonth";
             this.cbReqMonth.Size = new System.Drawing.Size(109, 24);
@@ -373,9 +402,9 @@
             this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label5.CausesValidation = false;
             this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label5.Location = new System.Drawing.Point(832, 10);
+            this.label5.Location = new System.Drawing.Point(831, 10);
             this.label5.Name = "label5";
-            this.label5.Size = new System.Drawing.Size(100, 25);
+            this.label5.Size = new System.Drawing.Size(120, 25);
             this.label5.TabIndex = 6;
             this.label5.Text = "請求回数";
             this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -384,10 +413,10 @@
             // 
             this.txtOrderer.BackColor = System.Drawing.Color.White;
             this.txtOrderer.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtOrderer.Location = new System.Drawing.Point(113, 11);
+            this.txtOrderer.Location = new System.Drawing.Point(132, 11);
             this.txtOrderer.Name = "txtOrderer";
             this.txtOrderer.ReadOnly = true;
-            this.txtOrderer.Size = new System.Drawing.Size(470, 23);
+            this.txtOrderer.Size = new System.Drawing.Size(430, 23);
             this.txtOrderer.TabIndex = 3;
             this.txtOrderer.TextChanged += new System.EventHandler(this.txtOrderer_TextChanged);
             this.txtOrderer.Validating += new System.ComponentModel.CancelEventHandler(this.txtOrderer_Validating);
@@ -396,7 +425,7 @@
             // 
             this.lblReqOrder.BackColor = System.Drawing.Color.White;
             this.lblReqOrder.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblReqOrder.Location = new System.Drawing.Point(940, 10);
+            this.lblReqOrder.Location = new System.Drawing.Point(959, 10);
             this.lblReqOrder.Name = "lblReqOrder";
             this.lblReqOrder.Size = new System.Drawing.Size(85, 24);
             this.lblReqOrder.TabIndex = 7;
@@ -721,17 +750,20 @@
             this.col99.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.col99.Width = 240;
             // 
-            // lblCellTotal
+            // btnCancelDsp
             // 
-            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.lblCellTotal.AutoSize = true;
-            this.lblCellTotal.BackColor = System.Drawing.Color.Transparent;
-            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.lblCellTotal.ForeColor = System.Drawing.Color.WhiteSmoke;
-            this.lblCellTotal.Location = new System.Drawing.Point(357, 599);
-            this.lblCellTotal.Name = "lblCellTotal";
-            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
-            this.lblCellTotal.TabIndex = 30;
+            this.btnCancelDsp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnCancelDsp.BackColor = System.Drawing.Color.Yellow;
+            this.btnCancelDsp.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnCancelDsp.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnCancelDsp.ForeColor = System.Drawing.Color.Black;
+            this.btnCancelDsp.Location = new System.Drawing.Point(1215, 6);
+            this.btnCancelDsp.Name = "btnCancelDsp";
+            this.btnCancelDsp.Size = new System.Drawing.Size(120, 30);
+            this.btnCancelDsp.TabIndex = 41;
+            this.btnCancelDsp.Text = "請求取消一覧";
+            this.btnCancelDsp.UseVisualStyleBackColor = false;
+            this.btnCancelDsp.Click += new System.EventHandler(this.btnCancelDsp_Click);
             // 
             // FrmRequestInput
             // 
@@ -738,6 +770,8 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1340, 625);
+            this.Controls.Add(this.btnCancelDsp);
+            this.Controls.Add(this.btnDelRequest);
             this.Controls.Add(this.lblCellTotal);
             this.Controls.Add(this.CombinedOrderLabel);
             this.Controls.Add(this.SeparateBillingLabel);
@@ -820,6 +854,8 @@
         private System.Windows.Forms.Button btnApproval;
         private System.Windows.Forms.Label lblApprovalCount;
         private System.Windows.Forms.Label lblCellTotal;
+        private System.Windows.Forms.Button btnDelRequest;
+        private System.Windows.Forms.Button btnCancelDsp;
     }
 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 422)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 423)
@@ -180,27 +180,9 @@
                     return;
                 }
 
-                // イベント削除
-                dgv1.CellValueChanged -= dgv1_CellValueChanged;
+                // データ表示処理
+                DataDisplay();
 
-                // DataGridViewEXに項目名を設定
-                SetGridDisplay();
-
-                // 請求データの取得
-                GetRequestDispData();
-
-                // 請求データの設定
-                SetRequestDispData();
-
-                // 請求月の設定
-                SetRequestMonth();
-
-                // [回数追加]ボタンの制御
-                btnAdd.Enabled = GetbtnAddEnabled();
-
-                // 画面左上に分割か一括かを表示
-                BillingLabel();
-
                 // 申請・承認表示処理
                 int nSetOrderNo = (m_OrderNo == 0) ? m_nMaxOrderNo : m_OrderNo;
                 // ----- 承認済の場合承認済みフラグON
@@ -228,24 +210,6 @@
                                                         , m_ConstructionCode
                                                         , nSetOrderNo
                                                         , m_ApplPnlList);
-
-                //// 承認機能番号が0の場合(=承認画面からの呼び出し)
-                //if (m_ApprovalCode == 0) return;
-
-                //pnlApproval.Visible = false;
-
-                //ApprovalMaster App = null;
-
-                //// 承認経路上にログインユーザがある場合は、承認の各ボタンを表示
-                //if (m_dicApprovalMaster.TryGetValue(CommonMotions.LoginUserData.PersonCode, out App) == true)
-                //{
-                //    pnlApprovalButton.Visible = true;
-                //}
-
-                //// その他不要なボタンも非表示
-                //btnOtherProc.Visible = false;           // その他画面ボタン
-                //btnAdd.Visible = false;                 // 回数追加ボタン
-                //btnEntry.Visible = false;               // 登録ボタン
             }
             catch (Exception ex)
             {
@@ -279,6 +243,9 @@
                     return;
                 }
             }
+            // 請求取消一覧が表示されていればクローズする
+            if (m_FrmCancelDisplay != null) m_FrmCancelDisplay.Close();
+
             // サブフォーム起動はプロセスカウンタを変更しない
             if (m_SubForm) m_CloseingProcessOn = false;
 
@@ -432,7 +399,8 @@
             int tcol = e.ColumnIndex;
             int trow = e.RowIndex;
 
-            this.dgv1.CellBeginEdit -= dgv1_CellBeginEdit;
+            dgv1.CellValueChanged -= new DataGridViewCellEventHandler(dgv1_CellValueChanged);
+            dgv1.CellBeginEdit -= new DataGridViewCellCancelEventHandler(dgv1_CellBeginEdit);
 
             // 対象セルが数値（金額）系の場合
             if (isEditNumCell(tcol, trow) == true)
@@ -466,7 +434,8 @@
 
             }
 
-            this.dgv1.CellBeginEdit += dgv1_CellBeginEdit;
+            dgv1.CellValueChanged += new DataGridViewCellEventHandler(dgv1_CellValueChanged);
+            dgv1.CellBeginEdit += new DataGridViewCellCancelEventHandler(dgv1_CellBeginEdit);
         }
         #endregion
 
@@ -494,11 +463,11 @@
             int tcol = e.ColumnIndex;
             int trow = e.RowIndex;
 
-            this.dgv1.CellFormatting -= dgv1_CellFormatting;
+            dgv1.CellFormatting -= new DataGridViewCellFormattingEventHandler(dgv1_CellFormatting);
 
             if (dgv1[tcol, trow].Value == null)
             {
-                this.dgv1.CellFormatting += dgv1_CellFormatting;
+                dgv1.CellFormatting += new DataGridViewCellFormattingEventHandler(dgv1_CellFormatting);
                 return;
             }
             try
@@ -540,7 +509,7 @@
             }
             finally
             {
-                this.dgv1.CellFormatting += dgv1_CellFormatting;
+                dgv1.CellFormatting += new DataGridViewCellFormattingEventHandler(dgv1_CellFormatting);
             }
         }
         #endregion
@@ -757,11 +726,11 @@
         /// <returns></returns>
         private DialogResult ShowMessageBox(string text, string caption, MessageBoxButtons buttons, MessageBoxIcon icon)
         {
-            dgv1.CellFormatting -= dgv1_CellFormatting;
+            dgv1.CellFormatting -= new DataGridViewCellFormattingEventHandler(dgv1_CellFormatting);
 
             DialogResult ret = MessageBox.Show(this, text, caption, buttons, icon);
 
-            dgv1.CellFormatting += dgv1_CellFormatting;
+            dgv1.CellFormatting += new DataGridViewCellFormattingEventHandler(dgv1_CellFormatting);
 
             return ret;
         }
@@ -1058,5 +1027,69 @@
             }
         }
         #endregion
+
+        #region 請求削除ボタン押下
+        /// <summary>
+        /// 請求削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDelRequest_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 請求データ取消処理
+                if (!RequestRemoveProc()) return;
+
+                CommonMotions.EntryEndMessage("請求取消","取消");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 請求取消一覧
+        /// <summary>
+        /// 請求取消一覧
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancelDsp_Click(object sender, EventArgs e)
+        {
+            if (m_FrmCancelDisplay != null)
+            {
+                m_FrmCancelDisplay.Activate();
+                return;
+            }
+            // 協力会社金額表示画面を表示
+            DispCancelListControl();
+        }
+        #endregion
+
+        #region 施工金額割当クローズ
+        /// <summary>
+        /// 施工金額割当のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCancelDisplay_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                this.Activate();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // ハンドルクリア
+                m_FrmCancelDisplay.Dispose(); m_FrmCancelDisplay = null;
+            }
+        }
+        #endregion
     }
 }
